<html>

<head>
  <meta charset="utf-8" />
  <title>Task 3</title>
  <link rel="stylesheet" href="css/normalize.css" />
  <link rel="stylesheet" href="css/style.css" />
</head>

<body>
  <div class="wrap" id="wrap">
    <h1>Переключение слайдера</h1>
    <div class="roadMap__container yellow">
      <button class="navButton"><</button>
          <div class="roadMap">
            <div class="roadMapPoint " data-id="1"></div>
            <div class="roadMapPoint ball" data-id="2"></div>
            <div class="roadMapPoint" data-id="3"></div>
            <div class="roadMapPoint" data-id="4"></div>
          </div>
          <button class="navButton">></button>
    </div>

    <div class="roadMap__container red">
      <button class="navButton"><</button>
          <div class="roadMap">
            <div class="roadMapPoint" data-id="1"></div>
            <div class="roadMapPoint" data-id="2"></div>
            <div class="roadMapPoint ball" data-id="3"></div>
            <div class="roadMapPoint" data-id="4"></div>
          </div>
          <button class="navButton">></button>
    </div>

    <div class="roadMap__container blue">
      <button class="navButton"><</button>
          <div class="roadMap">
            <div class="roadMapPoint" data-id="1"></div>
            <div class="roadMapPoint ball" data-id="2"></div>
            <div class="roadMapPoint" data-id="3"></div>
            <div class="roadMapPoint" data-id="4"></div>
          </div>
          <button class="navButton">></button>
    </div>

  </div>
  <script>
    function shift(btn, balls, a) {
      btn.addEventListener('click', function () {
        var active;
        var lenghtBalls = balls.length;
        balls.forEach(function (ball, i) {
          if (ball.classList.contains('ball')) { // проверяем наличие класса ball
            active = i;
          }
        })

        function status() { 
          if (a === true) {
            return active - 1;
          }
          else {
            return active + 1;
          }
        } 

        function status2() {
          if (a === true) {
            return 0;
          }
          else {
            return lenghtBalls - 1;
          }
        }

        balls.forEach(function (ball, i) {
          if (i === status()) {
            ball.classList.add('ball');
          }// добавляем класс если не дошли до последнего значения
          else if (i !== status2()) {
            ball.classList.remove('ball');
          }// удаляем класс если не дощли до последнего значения
        })

      })
    }
    var slider = document.querySelectorAll('.roadMap__container');
    slider.forEach(function (item) {
      var btns = item.querySelectorAll('.navButton');
      btns.forEach(function (btn, i) {
        var balls = item.querySelectorAll('.roadMapPoint');
        if (i === 0) {
          shift(btn, balls, true)
        } else if (i === 1) {
          shift(btn, balls, false)
        }
      })
    })
      /*
        Задание:

        Написать скрипт, который будет приводить в действие переключалки из разметки.
        И будет перемещать класс ball по точкам в зависимости от нажатой кнопки

      */

  </script>
</body>


</html>